simple: list(str(), int(), min=3)
questions: list(include('question'))
nested: list(list(num, min=2, max=2), min=2, max=2)
---
question:
  choices: list(include('choices'), max=2)
  questions: list(include('question'), required=False)

choices:
  id: str()
